%define pkgname gnome2-user-docs

Summary: GNOME User Documentation
Name: gnome-user-docs
Version: 2.4.1
Release: 1mdk
License: FDL
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Group: Books/Other
Url: http://www.gnome.org/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: scrollkeeper
PreReq: scrollkeeper >= 0.3
Obsoletes: gnome-users-guide
Provides: gnome-users-guide

%description
This package contains the GNOME Glossary, Introduction to GNOME, and a Unix
Primer.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

#create cache files
touch  $RPM_BUILD_ROOT%{_datadir}/gnome/help/introduction-to-gnome/C/introduction-to-gnome.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/system-admin-guide/C/system-admin-guide.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-access-guide/C/gnome-access-guide.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/user-guide/C/user-guide.html

%find_lang %{name} --with-gnome --all-name

%clean 
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/gnome-access-guide/*/gnome-access-guide.xml  %{_datadir}/gnome/help/introduction-to-gnome/*/introduction-to-gnome.xml %{_datadir}/gnome/help/system-admin-guide/*/system-admin-guide.xml %{_datadir}/gnome/help/user-guide/*/user-guide.xml 2>/dev/null > /dev/null || true ; fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README ChangeLog
%dir %{_datadir}/omf/user-guide
%dir %{_datadir}/omf/gnome2-user-docs
%{_datadir}/omf/*/*-C.omf
%ghost %{_datadir}/gnome/help/*/*/*.html

%changelog
* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- Add lang tag to OMF files

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.6-1mdk
- Release 2.0.6

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4
- Add yelp cache generation

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Remove patch0 (merged upstream)

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Patch0 (CVS): fix XML
 
* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.93-1mdk
- Release 1.93

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.91-2mdk
- Remove superfluous omf files. Speed up scrollkeeper update

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.91-1mdk
- Release 1.91 (GNOME2)

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-2mdk
- add lang macro (thanks to Gtz Waschk)

* Wed Sep 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-1mdk
- Release 1.4.1.1

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99-1mdk
- First Mandrake release

* Mon Nov 27 2000 Kenny Graunke <kwg@teleport.com>
- Initial cut

